QGIS Application - Feature request #167
PostGIS geometry collections are not shown
2006-07-04 07:56 AM - Redmine Admin

Status: In Progress

Priority: Low

Assignee:

Category: Data Provider

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 10226
Description

Geometry collection [[PostGIS]] layers are not loadable. It will be important to allow this in the next version.

History

#1 - 2007-11-23 12:04 PM - Gavin Macaulay -
- Status changed from Open to Closed

- Resolution set to duplicate

Fixed in svn commit:c9c3efb2 (SVN r7619). See duplicate ticket #818.

#2 - 2007-12-17 12:03 AM - pcavallini -
- Status changed from Closed to Feedback
- Resolution deleted (duplicate)

On a fresh qgis from svn (#7795), | get:
Colonna the_geom in "mipi"."strade_asfaltate_zrc_dintorni" ha una geometria di tipo GEOMETRYCOLLECTION, che attualmente Qgis non & in grado di
supportare.

#3 - 2008-03-09 05:28 PM - Jiirgen Fischer

- Status changed from Feedback to Open

#4 - 2008-03-09 05:29 PM - Jiirgen Fischer
- Status changed from Open to In Progress

#5 - 2009-07-18 09:02 AM - Paolo Cavallini

It ssems that the old fix, of loading the collections as three different layers (points, lines and polygons) was a reasonable solution, at least in the mid term

#6 - 2011-07-04 05:18 AM - Sandro Santilli

Havin seen this as "in progress" made me think it really was ;)
Anyway, if anyone plans to touch the postgresqgl provider again, it would be worth addin support for upcoming 2.0, ie:
http://trac.osgeo.org/postgis/ticket/1100

#7 - 2012-10-06 02:34 AM - Pirmin Kalberer

2025-03-14 12



http://trac.osgeo.org/postgis/ticket/1100

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2017-05-01 12:42 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No
- Easy fix? set to No

#9 - 2017-09-08 01:35 PM - Jiirgen Fischer
- Assignee deleted (Jirgen Fischer)
